// MenuDefines.h:  Interface macro definitions for menu resources.

#define MID_PALETTE				367500

#define WID_ENTRY_POINT				9873569

// One animation must be defined with this ID (used for page fade timing).
#define WID_ANIM_FADE_TIMING			569853

// The intro movie.
#define WID_AVI_INTRO					5768699

// IDs needed by compiled action code.
#define WID_RCC_PLAYER_SELECT_CHOICE			4489001
#define WID_SC_PLAYER_SELECT_INFO				4489002
#define WID_SWITCH_DBUTTON_PLAYER_SELECT_NEW	4489003
#define WID_SWITCH_DBUTTON_PLAYER_SELECT_DELETE	4489004
#define WID_SWITCH_DBUTTON_PLAYER_SELECT_LOAD	4489005
#define WID_SWITCH_PLAYER_SELECT_GENDER			4489006
#define WID_TEXT_PLAYER_SELECT_NAME				4489007
#define WID_SC_PLAYER_SELECT_COMPLETE			4489008
#define WID_SWITCH_PLAYER_SELECT_BULLETS		4489009

#define WID_RCC_PROTOCOL						4489879
#define WID_PAGE_CONNECT_IPX					4489880
#define WID_SWITCH_DBUTTON_CONNECT_IPX_JOIN		4489882
#define WID_PAGE_LOBBY							4489883
#define WID_SWITCH_DBUTTON_LOBBY_START			4489884
#define WID_TEXT_LOBBY_PLAYERS					4489885
#define WID_RADIO_CONNECT_IPX_NAME				4489886
#define WID_TEXT_CONNECT_IPX_NAME_DESELECT		4489887
#define WID_RCC_CONNECT_IPX_GAMES				4489888

#define WID_PAGE_CONNECT_TCP					4489889
#define WID_IMAGE_CONNECT_TCP_BACKGROUND		4489890
#define WID_TEXT_CONNECT_TCP_CREATE_ADDRESS		4489891
#define WID_EDIT_CONNECT_TCP_JOIN_ADDRESS		4489892
#define WID_BUTTON_CONNECT_TCP_CANCEL			4489893
#define WID_BUTTON_CONNECT_TCP_CREATE			4489894
#define WID_SWITCH_DBUTTON_CONNECT_TCP_JOIN		4489895
#define WID_PAGE_DIALOG_JOIN					4489896
#define WID_TEXT_DIALOG_JOIN_INFO				4489897

#define WID_EDIT_LOBBY_CHAT						4489898
#define WID_TEXT_LOBBY_CHAT						4489899

#define WID_SCROLLBAR_OPTIONS_VOLUME_ENV		4490001
#define WID_SCROLLBAR_OPTIONS_VOLUME_VOICE		4490002
#define WID_PAGE_OPTIONS						4490003
#define WID_RCC_OPTIONS_HW						4490004
#define WID_RCC_OPTIONS_RES						4490005
#define WID_RCC_OPTIONS_FF						4490006

#define WID_TEXT_LOBBY_TINFO					4490100

#define WID_PAGE_TINFO							4490200

#define WID_SWITCH_DBUTTON_LOCATIONS_MAP_LAKEPOINT		4490300
#define WID_SWITCH_DBUTTON_LOCATIONS_MAP_CAPEVINCENT	4490301
#define WID_SWITCH_DBUTTON_LOCATIONS_MAP_TAYLOR			4490302
#define WID_SWITCH_DBUTTON_LOCATIONS_MAP_AUGUSTINE		4490303

#define WID_PAGE_LOCATIONS						4490400
#define WID_SWITCH_LOCATIONS_TITLE				4490401

#define WID_DS_RADIO_LOCATIONS_EUFAULA			4490500
#define WID_DS_RADIO_LOCATIONS_1000				4490501
#define WID_DS_RADIO_LOCATIONS_OKEECHOBEE		4490502
#define WID_DS_RADIO_LOCATIONS_SAMRAYBURN		4490503

#define WID_SWITCH_LOCATIONS_MAP				4490600
#define WID_RCC_RADIO_LOCATIONS					4490601
#define WID_SWITCH_LOCATIONS_DESCRIPTION		4490602

#define WID_BACKGROUND_MAIN						4490700

#define WID_SWITCH_STAR_BAGBY					4490800
#define WID_SWITCH_STAR_CHEWALLA				4490801
#define WID_SWITCH_STAR_1000					4490802
#define WID_SWITCH_STAR_CLAYTON					4490803
#define WID_SWITCH_STAR_CLEWISTON				4490804
#define WID_SWITCH_STAR_LAKEPORT				4490805
#define WID_SWITCH_STAR_CASSELLS				4490806
#define WID_SWITCH_STAR_TWINDIKES				4490807

#define WID_PAGE_EXIT							4490900

#define WID_PAGE_PLAYER_SELECT WID_ENTRY_POINT


// This action ceases execution of the menu.  Calls Menu::ActionExit
// This action takes no parameters.
#define AID_USER_EXIT				457800

// Starts the game.
// Calls Menu::ActionStart
// This action requires no parameters.
#define AID_USER_START				457801

// This action sets the current page to the page given.  Calls Menu::ActionSetPage
// This action requires 1 parameter:
//		arg1 = the type ID of the page to be set
#define AID_USER_SET_PAGE			209885

// This action sets the current page to the page given immediately.  Calls Menu::ActionSetPageImmediate
// This action requires 1 parameter:
//		arg1 = the type ID of the page to be set
#define AID_USER_SET_PAGE_IMMEDIATE		1345700

// This action sets the page to the previous page set with AID_USER_SET_PAGE.
// Calls Menu::ActionBack
// This action takes no parameters.
#define AID_USER_BACK				209886

// This action sets the page to the previous page set with AID_USER_SET_PAGE immediately.
// Calls Menu::ActionBack
// This action takes no parameters.
#define AID_USER_BACK_IMMEDIATE			1345701

// This action sets the given data index to the given value
// Calls Menu::ActionSetData
// This action requires 2 parameters:
//		arg1 = the index of the data member (one of the MENU_DATA_INDEX_... values).
//		arg2 = the value to set the data member to (one of the MENU_DATA_VALUE_... values).
#define AID_USER_SET_DATA			209887

// Combines the functionality of SET_PAGE and SET_DATA (the data value is set before the page value, thus
// it ensures data necessary to set a page is set before the page change occurs.)
// Calls Menu::ActionSetDataAndPage
// This action requires 2 parameters:
//		arg1 = the index of the data member (one of the MENU_DATA_INDEX_... values).
//		arg2 = the value to set the data member to (one of the MENU_DATA_VALUE_... values).
//		arg3 = the type ID of the page to be set
#define AID_USER_SET_DATA_AND_PAGE			3478966


// Pops up the choose user dialog box.
// Calls: bbm_ActionChooseUserDialog
// Parameters:	arg1 = choose user dialog box widget ID.
//				arg2 = list box widget ID (must be a child of dialog box).
//				arg3 = widget ID of widget to be switched to state index 1 when a valid player name is selected.
//				arg4 = player name normal font ID
//				arg3 = player name highlighted font ID
//				arg3 = player name pressed font ID
#define AID_USER_CHOOSE_PLAYER_DIALOG		209889

// Called when the player presses 'new' from the choose player menu.
// Calls: bbm_ActionNewPlayerDialog
// Parameters:	arg1 = widget ID of new player dialog
//				arg2 = widget ID of widget to be switched to state 1 when a valid name has been chosen.
#define AID_USER_NEW_PLAYER_DIALOG			209890

// Called when the player presses the delete button in the choose player dialog.
// Calls: bbm_ActionDeletePlayerDialog
// Parameters:	arg1 = widget ID of confirmation dialog.
//				arg2 = widget ID of text box on the confirmation dialog that will ask for confirmation.
#define AID_USER_DELETE_PLAYER_DIALOG		209891

// Called when the player presses OK in the player select menu
// Calls: bbm_ActionChoosePlayerOk
// Parameters:	none
#define AID_USER_CHOOSE_PLAYER_OK			209892

// Called whenever a player slot is selected.
// Calls: bbm_ActionPlayerSelected
// Parameters:	none.
#define AID_USER_PLAYER_SELECTED			209895

// Called when the user presses the new player button.
// Calls: bbm_ActionPlayerNew
// Parameters:	arg1 = widget ID of new-player page.
//				arg2 = widget ID of gender selection.
//				arg3 = widget ID of OK button.
#define AID_USER_PLAYER_NEW					209896

// Called when the user presses the delete player button.
// Calls: bbm_ActionPlayerDelete
// Parameters:	arg1 = widget ID of confirmation pop-up.
//				arg2 = widget ID of confirmation text box on delete dialog.
#define AID_USER_PLAYER_DELETE				209897

// Called when the user types text in the name edit box.
// Calls: bbm_ActionNameChange
// Parameters:	none.
#define AID_USER_NAME_CHANGE				209899

// Called when the user selects OK in the new player dialog.
// Calls: bbm_ActionNewOk
// Parameters:	none.
#define AID_USER_NEW_OK						209900

// Called when the user selects cancel in the new player dialog.
// Calls: bbm_ActionNewCancel
// Parameters:	none.
#define AID_USER_NEW_CANCEL					209901

// Called when the user confirms a player deletion.
// Calls: bbm_ActionDeleteOk
// Parameters:	none.
#define AID_USER_DELETE_OK					209902

// Called when the user cancels a player deletion.
// Calls: bbm_ActionDeleteCancel
// Parameters:	none.
#define AID_USER_DELETE_CANCEL				209903

// Called when the user presses OK on the protocol page.
// Calls: bbm_ActionSetPageConnect
// Parameters:	none.
#define AID_USER_SET_PAGE_CONNECT			209904

// Called when the user presses create on the IPX connection page.
// Calls: bbm_ActionConnectIPXCreate
// Parameters:	none.
#define AID_USER_CONNECT_IPX_CREATE			209906

// Called when the user presses join on the IPX connection page.
// Calls: bbm_ActionConnectIPXJoin
// Parameters:	none.
#define AID_USER_CONNECT_IPX_JOIN			209908

// Called when the game server presses start in the network lobby.
// Calls: bbm_ActionLobbyStart
// Parameters:	none.
#define AID_USER_LOBBY_START				209909

// Called when the player changes the text in the join IP field.
// Calls: bbm_ActionTCPJoinAddressChange
// Parameters:	none.
#define AID_USER_TCP_JOIN_ADDRESS_CHANGE	209910

// Called when the user presses the create button on the TCP connection page.
// Calls: bbm_ActionConnectTCPCreate
// Parameters:	none.
#define AID_USER_CONNECT_TCP_CREATE			209911

// Called when the user presses join on the TCP connection page.
// Calls: bbm_ActionConnectTCPJoin
// Parameters:	none.
#define AID_USER_CONNECT_TCP_JOIN			209912

// Called when the user presses cancel on the tcp join connection dialog.
// Calls: bbm_ActionDialogJoinCancel
// Parameters:	none.
#define AID_USER_DIALOG_JOIN_CANCEL			209913

// Called when the user types something in the lobby chat box.
// Calls: bbm_ActionLobbyChatChange
// Parameters:	none.
#define AID_USER_LOBBY_CHAT_CHANGE			209914

// Called to set a given game-data member to a value corresponding to the event causing the action.  Possible events
// are GM_EVENT_CHANGE_ACTIVE and GM_EVENT_CHANGE_SCROLL
// Calls: bbm_ActionSetDataFromActive
// Parameters:	arg1 = index into the game-data array (must be in the range [0, GAME_DATA_AMOUNT)).
#define AID_USER_SET_DATA_FROM_EVENT		209915

// Called to play a tutorial video.
// Calls: bbm_ActionPlayTutorialVideo
// Parameters:	arg1 = Index into the tutorial movie list (range 0 to TUTORIAL_VIDEO_MAX).
#define AID_USER_PLAY_TUTORIAL_VIDEO		209916






#define GAME_DATA_AMOUNT				7

#define GAME_DATA_TYPE_GAME_MODE		0
#define GAME_DATA_TYPE_PORT				1
#define GAME_DATA_TYPE_HARDWARE			2
#define GAME_DATA_TYPE_RESOLUTION		3
#define GAME_DATA_TYPE_FORCE_FEEDBACK	4
#define GAME_DATA_TYPE_VOLUME_ENV		5
#define GAME_DATA_TYPE_VOLUME_VOICE		6

#define BBM_GAME_MODE_EXIT			-1
#define BBM_GAME_MODE_TOURNAMENT	0
#define BBM_GAME_MODE_BEGINNER		1
#define BBM_GAME_MODE_FREEFISHING	2
#define BBM_GAME_MODE_MULTIPLAYER	3

#define BBM_PORT_INVALID			-1
#define BBM_PORT_BAGBY				0x00
#define BBM_PORT_CHEWALLA			0x01
#define BBM_PORT_LAKEPOINT			0x02
#define BBM_PORT_1000				0x10
#define BBM_PORT_CLAYTON			0x11
#define BBM_PORT_CAPEVINCENT		0x12
#define BBM_PORT_CLEWISTON			0x20
#define BBM_PORT_LAKEPORT			0x21
#define BBM_PORT_TAYLOR				0x22
#define BBM_PORT_CASSELLS			0x30
#define BBM_PORT_TWINDIKES			0x31
#define BBM_PORT_AUGUSTINE			0x32
#define BBM_PORT_BEGINNER			0x33

#define BBM_HARDWARE_ON				1
#define BBM_HARDWARE_OFF			0
#define BBM_RESOLUTION_HIGH			1
#define BBM_RESOLUTION_LOW			0
#define BBM_FORCE_FEEDBACK_ON		1
#define BBM_FORCE_FEEDBACK_OFF		0


#define TUTORIAL_VIDEO_ATTACKS_SF		0
#define TUTORIAL_VIDEO_ATTACKS_BF		1
#define TUTORIAL_VIDEO_ATTACKS_TF		2
#define TUTORIAL_VIDEO_ATTACKS_SM		3
#define TUTORIAL_VIDEO_ATTACKS_BD		4
#define TUTORIAL_VIDEO_ATTACKS_CK		5
#define TUTORIAL_VIDEO_ATTACKS_EL		6
#define TUTORIAL_VIDEO_ATTACKS_BFF		7
#define TUTORIAL_VIDEO_BEHAVIOR_WF		8
#define TUTORIAL_VIDEO_BEHAVIOR_SB		9
#define TUTORIAL_VIDEO_BEHAVIOR_A		10
#define TUTORIAL_VIDEO_BEHAVIOR_TF		11
#define TUTORIAL_VIDEO_BEHAVIOR_BS		12
#define TUTORIAL_VIDEO_BEHAVIOR_LB		13
#define TUTORIAL_VIDEO_ENV_BF			14
#define TUTORIAL_VIDEO_ENV_T			15
#define TUTORIAL_VIDEO_ENV_N			16
#define TUTORIAL_VIDEO_ENV_NG			17
#define TUTORIAL_VIDEO_ENV_FP			18
#define TUTORIAL_VIDEO_MAX				19
